org.apache.lucene.search

## Interface FieldCache.FloatParser

All Superinterfaces:
  FieldCache.Parser

Enclosing interface:
  FieldCache

    public static interface FieldCache.FloatParser
    extends FieldCache.Parser

Interface to parse floats from document fields.

See Also:
  `FieldCache.getFloats(AtomicReader, String, FieldCache.FloatParser, boolean)`

### Method Summary

Methods
`float` `parseFloat(BytesRef term)` Return an float representation of this field's value.

### Methods inherited from interface org.apache.lucene.search.FieldCache.Parser

`termsEnum`

### Method Detail

#### parseFloat

    float parseFloat(BytesRef term)

Return an float representation of this field's value.